Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.project
Class AbstractProject

    java.lang.Object
      org.gradle.api.internal.project.AbstractProject

All Implemented Interfaces:
  ProjectInternal

    class AbstractProject
    extends java.lang.Object

author:
  Hans Dockter

Nested Class Summary
`enum` | `AbstractProject.State`

Constructor Summary
`AbstractProject(java.lang.String name)`
`AbstractProject(java.lang.String name, ProjectInternal parent, File projectDir, File buildFile, ScriptSource buildScriptSource, IProjectRegistry projectRegistry, BuildInternal build, ProjectServiceRegistryFactory serviceRegistryFactory)`

Method Summary
`java.lang.String` | `absolutePath(java.lang.String path)`
`void` | `addChildProject(ProjectInternal childProject)`
`void` | `afterEvaluate(Action action)`
`void` | `afterEvaluate(Closure closure)`
`void` | `allprojects(Action action)`
`void` | `applyActions(java.util.Set projects, Action action)`
`void` | `beforeEvaluate(Action action)`
`void` | `beforeEvaluate(Closure closure)`
`void` | `captureStandardOutput(LogLevel level)`
`Project` | `childrenDependOnMe()`
`int` | `compareTo(Project otherProject)`
`CopyAction` | `copy(Closure closure)`
`AntBuilder` | `createAntBuilder()`
`RepositoryHandler` | `createRepositoryHandler()`
`Task` | `createTask(java.lang.String name)`
`Task` | `createTask(java.util.Map args, java.lang.String name)`
`Task` | `createTask(java.lang.String name, TaskAction action)`
`Task` | `createTask(java.lang.String name, Closure action)`
`Task` | `createTask(java.util.Map args, java.lang.String name, Closure action)`
`Task` | `createTask(java.util.Map args, java.lang.String name, TaskAction action)`
`void` | `defaultTasks(java.lang.String defaultTasks)`
`void` | `dependsOn(java.lang.String path)`
`void` | `dependsOn(java.lang.String path, boolean evaluateDependsOnProject)`
`Project` | `dependsOnChildren()`
`Project` | `dependsOnChildren(boolean evaluateDependsOnProject)`
`int` | `depthCompare(Project otherProject)`
`Directory` | `dir(java.lang.String path)`
`void` | `disableStandardOutputCapture()`
`boolean` | `equals(java.lang.Object o)`
`AbstractProject` | `evaluate()`
`Project` | `evaluationDependsOn(java.lang.String path)`
`File` | `file(java.lang.Object path)`
`File` | `file(java.lang.Object path, PathValidation validation)`
`FileCollection` | `files(java.lang.Object paths)`
`Project` | `findProject(java.lang.String path)`
`File` | `findRelativePath(java.lang.Object path)`
`java.util.Map` | `getAdditionalProperties()`
`java.util.Map` | `getAllTasks(boolean recursive)`
`java.util.Set` | `getAllprojects()`
`AntBuilder` | `getAnt()`
`AntBuilderFactory` | `getAntBuilderFactory()`
`ArtifactHandler` | `getArtifacts()`
`BuildInternal` | `getBuild()`
`File` | `getBuildDir()`
`java.lang.String` | `getBuildDirName()`
`File` | `getBuildFile()`
`ScriptSource` | `getBuildScriptSource()`
`ScriptHandler` | `getBuildscript()`
`java.util.Map` | `getChildProjects()`
`ScriptClassLoaderProvider` | `getClassLoaderProvider()`
`ConfigurationHandler` | `getConfigurations()`
`Convention` | `getConvention()`
`java.util.List` | `getDefaultTasks()`
`DependencyHandler` | `getDependencies()`
`java.util.Set` | `getDependsOnProjects()`
`int` | `getDepth()`
`DynamicObjectHelper` | `getDynamicObjectHelper()`
`FileResolver` | `getFileResolver()`
`java.lang.Object` | `getGroup()`
`DynamicObject` | `getInheritedScope()`
`Logger` | `getLogger()`
`java.lang.String` | `getName()`
`ProjectInternal` | `getParent()`
`ProjectIdentifier` | `getParentIdentifier()`
`java.lang.String` | `getPath()`
`ProjectPluginsContainer` | `getPlugins()`
`Project` | `getProject()` This method is used when scripts access the project via project.x
`File` | `getProjectDir()`
`ProjectEvaluator` | `getProjectEvaluator()`
`IProjectRegistry` | `getProjectRegistry()`
`java.util.Map` | `getProperties()`
`RepositoryHandler` | `getRepositories()`
`RepositoryHandlerFactory` | `getRepositoryHandlerFactory()`
`File` | `getRootDir()`
`Project` | `getRootProject()`
`Script` | `getScript()`
`StandardOutputRedirector` | `getStandardOutputRedirector()`
`State` | `getState()`
`java.lang.Object` | `getStatus()`
`java.util.Set` | `getSubprojects()`
`TaskContainer` | `getTasks()`
`java.util.Set` | `getTasksByName(java.lang.String name, boolean recursive)`
`java.lang.Object` | `getVersion()`
`boolean` | `hasProperty(java.lang.String propertyName)`
`int` | `hashCode()`
`static boolean` | `isAbsolutePath(java.lang.String path)`
`Project` | `project(java.lang.String path)`
`java.lang.Object` | `property(java.lang.String propertyName)`
`File` | `relativePath(java.lang.Object path)`
`void` | `setAdditionalProperties(java.util.Map additionalProperties)`
`void` | `setAnt(AntBuilder ant)`
`void` | `setAntBuilderFactory(AntBuilderFactory antBuilderFactory)`
`void` | `setArtifactHandler(ArtifactHandler artifactHandler)`
`void` | `setBuildDirName(java.lang.String buildDirName)`
`void` | `setBuildFile(File buildFile)`
`void` | `setBuildScriptSource(ScriptSource buildScriptSource)`
`void` | `setConfigurationContainer(ConfigurationHandler configurationContainer)`
`void` | `setConvention(Convention convention)`
`void` | `setDefaultTasks(java.util.List defaultTasks)`
`void` | `setDependencyHandler(DependencyHandler dependencyHandler)`
`void` | `setDependsOnProjects(java.util.Set dependsOnProjects)`
`void` | `setFileResolver(FileResolver fileResolver)`
`void` | `setGroup(java.lang.Object group)`
`void` | `setProjectEvaluator(ProjectEvaluator projectEvaluator)`
`void` | `setProjectPluginsHandler(ProjectPluginsContainer projectPluginsHandler)`
`void` | `setProjectRegistry(IProjectRegistry projectRegistry)`
`void` | `setRepositoryHandler(DefaultRepositoryHandler repositoryHandlerFactory)`
`void` | `setRepositoryHandlerFactory(RepositoryHandlerFactory repositoryHandlerFactory)`
`void` | `setScript(Script buildScript)`
`void` | `setStandardOutputRedirector(StandardOutputRedirector standardOutputRedirector)`
`void` | `setState(State state)`
`void` | `setStatus(java.lang.Object status)`
`void` | `setTaskContainer(TaskContainerInternal taskContainer)`
`void` | `setVersion(java.lang.Object version)`
`void` | `subprojects(Action action)`
`java.lang.String` | `toString()`
`Project` | `usePlugin(java.lang.String pluginName)`
`Project` | `usePlugin(java.lang.Class pluginClass)`
`AbstractProject` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`org.gradle.api.internal.project.AbstractProject[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractProject

    public AbstractProject(java.lang.String name)

### AbstractProject

    public AbstractProject(java.lang.String name, ProjectInternal parent, File projectDir, File buildFile, ScriptSource buildScriptSource, IProjectRegistry projectRegistry, BuildInternal build, ProjectServiceRegistryFactory serviceRegistryFactory)

Method Detail

### absolutePath

    public java.lang.String absolutePath(java.lang.String path)

### addChildProject

    public void addChildProject(ProjectInternal childProject)

### afterEvaluate

    public void afterEvaluate(Action action)

### afterEvaluate

    public void afterEvaluate(Closure closure)

### allprojects

    public void allprojects(Action action)

### applyActions

    public void applyActions(java.util.Set projects, Action action)

### beforeEvaluate

    public void beforeEvaluate(Action action)

### beforeEvaluate

    public void beforeEvaluate(Closure closure)

### captureStandardOutput

    public void captureStandardOutput(LogLevel level)

### childrenDependOnMe

    public Project childrenDependOnMe()

### compareTo

    public int compareTo(Project otherProject)

### copy

    public CopyAction copy(Closure closure)

### createAntBuilder

    public AntBuilder createAntBuilder()

### createRepositoryHandler

    public RepositoryHandler createRepositoryHandler()

### createTask

    public Task createTask(java.lang.String name)

### createTask

    public Task createTask(java.util.Map args, java.lang.String name)

### createTask

    public Task createTask(java.lang.String name, TaskAction action)

### createTask

    public Task createTask(java.lang.String name, Closure action)

### createTask

    public Task createTask(java.util.Map args, java.lang.String name, Closure action)

### createTask

    public Task createTask(java.util.Map args, java.lang.String name, TaskAction action)

### defaultTasks

    public void defaultTasks(java.lang.String defaultTasks)

### dependsOn

    public void dependsOn(java.lang.String path)

### dependsOn

    public void dependsOn(java.lang.String path, boolean evaluateDependsOnProject)

### dependsOnChildren

    public Project dependsOnChildren()

### dependsOnChildren

    public Project dependsOnChildren(boolean evaluateDependsOnProject)

### depthCompare

    public int depthCompare(Project otherProject)

### dir

    public Directory dir(java.lang.String path)

### disableStandardOutputCapture

    public void disableStandardOutputCapture()

### equals

    @Override
    public boolean equals(java.lang.Object o)

### evaluate

    public AbstractProject evaluate()

### evaluationDependsOn

    public Project evaluationDependsOn(java.lang.String path)

### file

    public File file(java.lang.Object path)

### file

    public File file(java.lang.Object path, PathValidation validation)

### files

    public FileCollection files(java.lang.Object paths)

### findProject

    public Project findProject(java.lang.String path)

### findRelativePath

    public File findRelativePath(java.lang.Object path)

### getAdditionalProperties

    public java.util.Map getAdditionalProperties()

### getAllTasks

    public java.util.Map getAllTasks(boolean recursive)

### getAllprojects

    public java.util.Set getAllprojects()

### getAnt

    public AntBuilder getAnt()

### getAntBuilderFactory

    public AntBuilderFactory getAntBuilderFactory()

### getArtifacts

    public ArtifactHandler getArtifacts()

### getBuild

    public BuildInternal getBuild()

### getBuildDir

    public File getBuildDir()

### getBuildDirName

    public java.lang.String getBuildDirName()

### getBuildFile

    public File getBuildFile()

### getBuildScriptSource

    public ScriptSource getBuildScriptSource()

### getBuildscript

    public ScriptHandler getBuildscript()

### getChildProjects

    public java.util.Map getChildProjects()

### getClassLoaderProvider

    public ScriptClassLoaderProvider getClassLoaderProvider()

### getConfigurations

    public ConfigurationHandler getConfigurations()

### getConvention

    public Convention getConvention()

### getDefaultTasks

    public java.util.List getDefaultTasks()

### getDependencies

    public DependencyHandler getDependencies()

### getDependsOnProjects

    public java.util.Set getDependsOnProjects()

### getDepth

    public int getDepth()

### getDynamicObjectHelper

    public DynamicObjectHelper getDynamicObjectHelper()

### getFileResolver

    public FileResolver getFileResolver()

### getGroup

    public java.lang.Object getGroup()

### getInheritedScope

    public DynamicObject getInheritedScope()

### getLogger

    public Logger getLogger()

### getName

    public java.lang.String getName()

### getParent

    public ProjectInternal getParent()

### getParentIdentifier

    public ProjectIdentifier getParentIdentifier()

### getPath

    public java.lang.String getPath()

### getPlugins

    public ProjectPluginsContainer getPlugins()

### getProject

    public Project getProject()

  This method is used when scripts access the project via project.x

### getProjectDir

    public File getProjectDir()

### getProjectEvaluator

    public ProjectEvaluator getProjectEvaluator()

### getProjectRegistry

    public IProjectRegistry getProjectRegistry()

### getProperties

    public java.util.Map getProperties()

### getRepositories

    public RepositoryHandler getRepositories()

### getRepositoryHandlerFactory

    public RepositoryHandlerFactory getRepositoryHandlerFactory()

### getRootDir

    public File getRootDir()

### getRootProject

    public Project getRootProject()

### getScript

    public Script getScript()

### getStandardOutputRedirector

    public StandardOutputRedirector getStandardOutputRedirector()

### getState

    public State getState()

### getStatus

    public java.lang.Object getStatus()

### getSubprojects

    public java.util.Set getSubprojects()

### getTasks

    public TaskContainer getTasks()

### getTasksByName

    public java.util.Set getTasksByName(java.lang.String name, boolean recursive)

### getVersion

    public java.lang.Object getVersion()

### hasProperty

    public boolean hasProperty(java.lang.String propertyName)

### hashCode

    @Override
    public int hashCode()

### isAbsolutePath

    public static boolean isAbsolutePath(java.lang.String path)

### project

    public Project project(java.lang.String path)

### property

    public java.lang.Object property(java.lang.String propertyName)

### relativePath

    public File relativePath(java.lang.Object path)

### setAdditionalProperties

    public void setAdditionalProperties(java.util.Map additionalProperties)

### setAnt

    public void setAnt(AntBuilder ant)

### setAntBuilderFactory

    public void setAntBuilderFactory(AntBuilderFactory antBuilderFactory)

### setArtifactHandler

    public void setArtifactHandler(ArtifactHandler artifactHandler)

### setBuildDirName

    public void setBuildDirName(java.lang.String buildDirName)

### setBuildFile

    public void setBuildFile(File buildFile)

### setBuildScriptSource

    public void setBuildScriptSource(ScriptSource buildScriptSource)

### setConfigurationContainer

    public void setConfigurationContainer(ConfigurationHandler configurationContainer)

### setConvention

    public void setConvention(Convention convention)

### setDefaultTasks

    public void setDefaultTasks(java.util.List defaultTasks)

### setDependencyHandler

    public void setDependencyHandler(DependencyHandler dependencyHandler)

### setDependsOnProjects

    public void setDependsOnProjects(java.util.Set dependsOnProjects)

### setFileResolver

    public void setFileResolver(FileResolver fileResolver)

### setGroup

    public void setGroup(java.lang.Object group)

### setProjectEvaluator

    public void setProjectEvaluator(ProjectEvaluator projectEvaluator)

### setProjectPluginsHandler

    public void setProjectPluginsHandler(ProjectPluginsContainer projectPluginsHandler)

### setProjectRegistry

    public void setProjectRegistry(IProjectRegistry projectRegistry)

### setRepositoryHandler

    public void setRepositoryHandler(DefaultRepositoryHandler repositoryHandlerFactory)

### setRepositoryHandlerFactory

    public void setRepositoryHandlerFactory(RepositoryHandlerFactory repositoryHandlerFactory)

### setScript

    public void setScript(Script buildScript)

### setStandardOutputRedirector

    public void setStandardOutputRedirector(StandardOutputRedirector standardOutputRedirector)

### setState

    public void setState(State state)

### setStatus

    public void setStatus(java.lang.Object status)

### setTaskContainer

    public void setTaskContainer(TaskContainerInternal taskContainer)

### setVersion

    public void setVersion(java.lang.Object version)

### subprojects

    public void subprojects(Action action)

### toString

    public java.lang.String toString()

### usePlugin

    public Project usePlugin(java.lang.String pluginName)

### usePlugin

    public Project usePlugin(java.lang.Class pluginClass)

### valueOf

    AbstractProject valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name.

### values

    org.gradle.api.internal.project.AbstractProject[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Groovy Documentation